Come posso ottenere l'ultima versione di GIMP disponibile?

58

Capisco che sia disponibile una nuova versione di GIMP, anche se sembra che l'unico modo per farlo sia compilare dalla fonte: P

C'è un altro modo per ottenerlo, o se devo compilare posso farlo attraverso il terminale o meglio ancora; una GUI?

    
posta JASAXBY 08.05.2012 - 22:03

10 risposte

97

Ubuntu 12.04 LTS, 14.04 LTS, 16.04 LTS, 17.10, 18.04 LTS

Puoi farlo tramite il Terminale:

  1. Disinstalla GIMP

    sudo apt-get autoremove gimp gimp-plugin-registry
    
  2. Aggiungi il seguente PPA

    sudo add-apt-repository ppa:otto-kesselgulasch/gimp
    sudo apt-get update
    
  3. Reinstalla l'ultimo GIMP

    sudo apt-get install gimp
    
risposta data Bastian Gruber 08.05.2012 - 22:08
11

Versioni di Ubuntu precedenti alla 12.04

Attualmente non esiste alcun metodo per installare Gimp 2.8 su qualsiasi versione successiva alla 12.04.

In termini di è possibile ...

Improbabile per il seguente motivo:

Le dipendenze delle ultime versioni di Gimp richiedono molte delle ultime librerie sottostanti che non troverete per impostazione predefinita in nessuna versione successiva alla 12.04. Pertanto, sarà necessario ricompilare e riscrivere parti del codice per farlo compilare. Più lontano si ottiene da 12.04, maggiore è la modifica richiesta.

Un manutentore del pacchetto Gimp (ppa: matthaeus123 / mrw-gimp-svn) menziona nella descrizione che ha bisogno dell'ultimo Gnome-3 PPA così come altre librerie di test . Entrambi non verranno installati su ambienti gnome-2 (sotto 11.10). Guardando gli elenchi di dipendenze per la versione 12.04 di Gimp, anche questi non sono disponibili in 11.10.

Sarà mai disponibile in un PPA per le versioni successive alla 12.04? È probabilmente sicuro di dire improbabile a meno che non ci sia uno sviluppatore intraprendente là fuori che desideri portarlo a questo.

Fino ad allora, UbuntuForums ha una discussione interessante su come compilare dal sorgente.

Quindi - se vuoi assolutamente Gimp 2.8 - cerca di installare 12.04 + uno dei suoi numerosi ambienti desktop.

    
risposta data fossfreedom 05.05.2012 - 14:27
6

Fortunatamente la disponibilità di GIMP 2.8 stabile ha reso anche il registro dei plugin di gimp (con il famoso salvataggio per il web plugin) facile da installare.

Tramite link :

Installazione stabile di GIMP 2.8

Se esegui l'aggiornamento da una versione precedente di GIMP, visita il link e presta attenzione al comando "dist-upgrade" link (anche se si desidera ripristinare GIMP 2.6.x)

Se stai solo installando GIMP per la prima volta sulla tua attuale installazione di sistema:

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp

Registro dei plugin GIMP per l'installazione di GIMP 2.8

link

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp-plugin-registry
    
risposta data Bucic 30.05.2012 - 21:00
6

Ubuntu 14.04 e successivi

Per installare l'ultima versione stabile di GIMP come pacchetto snap in tutte le versioni attualmente supportate di Ubuntu, apri il terminale e digita:

sudo snap install gimp

Note

  1. Se hai bisogno di una versione progressivamente più recente rispetto all'ultima versione stabile (ad esempio GIMP 2.10.2 invece di GIMP 2.10.0) installalo dal canale bordo .

    sudo snap install gimp --edge
    
  2. Se hai bisogno di GIMP per avere pieno accesso a supporti esterni (come unità flash USB, scheda SD / MicroSD, disco rigido montato aggiuntivo e così via), esegui il seguente comando:

    sudo snap connect gimp:removable-media
    
$ sudo snap connect gimp:removable-media
$ snap interfaces gimp
Slot              Plug
:desktop          brave,gimp,notepad-plus-plus,notepadqq,simplenote
:desktop-legacy   brave,gimp,notepad-plus-plus,notepadqq
:gsettings        brave,gimp,notepadqq,simplenote
:home             brave,gimp,notepad-plus-plus,notepadqq,simplenote
:opengl           brave,gimp,notepad-plus-plus,notepadqq,notes,simplenote,sudoku-game
:removable-media  gimp,notepad-plus-plus,notepadqq
:unity7           brave,gimp,notepadqq,notes,simplenote,sudoku-game
:wayland          brave,gimp,notepad-plus-plus,simplenote
:x11              gimp,notepad-plus-plus,notepadqq,simplenote,sudoku-game
-                 gimp:cups-control

    
risposta data karel 15.06.2018 - 14:16
3

Sosteniamo questo progetto.

link

Sono in grado di scaricare gimp2.9 e aprire un file rifiutato dalla precedente versione di Gimp. E sto ancora usando Ubuntu 10.04 Lucid.

Questo è davvero un caso rotto con i sistemi Linux perché è necessario aggiornare l'intero sistema solo per poter eseguire le app più recenti. Spero che questo sarà risolto presto e spero che supportiamo progetti come sopra.

Sono felice con la mia ubuntu 10.04 e ho un sacco di configurazioni qui e file di sviluppo ... potrebbe essere necessario fino al 2016 per aggiornare lol!

    
risposta data nbjayme 24.02.2014 - 07:38
2

Per ottenere GIMP 2.8 su Lucid 10.04.4 dai un'occhiata a questo:

link

    
risposta data AC2 18.05.2012 - 09:47
1

Ubuntu 16.10

apt install gimp

Abbastanza facile ora.

    
risposta data Azuaron 07.04.2017 - 14:59
0

Ubuntu 16.10

In Ubuntu 16.10, puoi facilmente installarlo dal terminale con il seguente comando:

sudo apt install gimp

Per aggiornare un'installazione esistente di gimp, esegui il seguente comando nel terminale:

sudo apt update && apt upgrade -y

Se si desidera disinstallare gimp ma mantenere le impostazioni (se si prevede di reinstallare un'altra volta, ad esempio), eseguire il seguente comando nel terminale:

sudo apt remove gimp

Se vuoi disinstallare gimp e rimuovere le impostazioni, esegui il seguente comando nel terminale:

sudo apt purge gimp

    
risposta data Ken 07.04.2017 - 16:25
0

Risposta a giugno 2018, se vuoi Gimp 2.10

Per Ubuntu 17.10 e versioni successive:

Aggiungi il PPA: link e diversi pacchetti verranno aggiornati / installati da esso, in particolare Gimp stesso, e gimp-plugin-registry che contiene diversi plugin utili (resynthize, ecc ...) che sono molto più facili da installare in questo modo. Se hai n & lt; = 17.04, questo PPA ti darà Gimp 2.8.22.

Per versioni precedenti (in particolare 16.04):

  • Il modo ufficiale: si installa una versione "flatpak", che è un'applicazione con un proprio set di librerie dipendenti. Le istruzioni sono disponibili nella pagina di download di Gimp .
  • Il modo non ufficiale: si installa una "AppImage" (che è un altro modo per "containerizzare" l'applicazione). Ci sono diversi builder per questo, una versione è qui .

Entrambi i metodi hanno le loro restrizioni, in particolare può essere difficile aggiungere i tuoi plugin compilati preferiti (i plugin script-fu e python di solito sono OK).

    
risposta data xenoid 16.06.2018 - 09:53
-1

questo PPA funziona per me e ti darà l'ultima versione disponibile Nota: questa versione potrebbe avere ancora in sviluppo la versione

sudo add-apt-repository ppa:otto-kesselgulasch/gimp-edge

anche tu puoi andare per gli altri passi qui sotto

sudo apt-get update
sudo apt-get install gimp -y

questo mostrerà la versione corrente di gimp

sudo gimp --version
    
risposta data Mohammed Omer 10.05.2018 - 07:55

Leggi altre domande sui tag